"""KiCad PCB Drawing Library.

A Python library for programmatically generating KiCad PCB elements,
with built-in SVG visualization capabilities for debugging and design verification.

This package provides tools to:
- Draw PCB traces, vias, and complex patterns like helix coils
- Export KiCad-compatible s-expressions
- Visualize designs with SVG output and layer controls
- Support multiple layer stackups and electrical nets

Main modules:
- PCBmodule: Core drawing functionality
- models: Parameter definitions for drawing operations
- visualizer: SVG visualization system
- geometry: Geometric primitives and calculations
"""
